Communication Events by Communication Number
curl --request GET \
--url 'https://{{baseUrl}}/api/integration-services/v1/communications-events/{communicationNumber}' \
--header 'Authorization: Bearer <token>'{
"events": [
{
"type": "app.amlyze.customer.riskmanagement.kyc_scoring.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"data": {
"decisionType": "ACCEPTED",
"finalRiskLevel": "MEDIUM",
"initialRiskLevel": "MEDIUM"
}
},
{
"type": "app.amlyze.customer.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"data": {
"externalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"screeningMatch": false
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "d8114a80-2173-4f11-9b06-4b1315edff12",
"data": {
"birthDate": "2000-05-28",
"countryCode": "LT",
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"externalId": "d8114a80-2173-4f11-9b06-4b1315edff12",
"firstName": "John",
"lastName": "Doe",
"nationalCode": "123456789",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "John Doe",
"type": "INDIVIDUAL"
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "5328b190-e852-4e85-911b-8d20f3eb978c",
"data": {
"countryCode": "LT",
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"establishmentDate": "2000-05-28",
"externalId": "5328b190-e852-4e85-911b-8d20f3eb978c",
"nationalCode": "123456789",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "UAB Some Company",
"type": "ORGANIZATION"
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"data": {
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "UAB Some Company",
"type": "UNKNOWN"
}
}
]
}Communication
Communication Events by Communication Number
Retrieves communication events by communication number. This can be used as fallback approach to get information about request. However keep in mind that not all request triggers webhook sending and not all webhooks that are sent have communication number.
GET
/
api
/
integration-services
/
v1
/
communications-events
/
{communicationNumber}
Communication Events by Communication Number
curl --request GET \
--url 'https://{{baseUrl}}/api/integration-services/v1/communications-events/{communicationNumber}' \
--header 'Authorization: Bearer <token>'{
"events": [
{
"type": "app.amlyze.customer.riskmanagement.kyc_scoring.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"data": {
"decisionType": "ACCEPTED",
"finalRiskLevel": "MEDIUM",
"initialRiskLevel": "MEDIUM"
}
},
{
"type": "app.amlyze.customer.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"data": {
"externalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"screeningMatch": false
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "d8114a80-2173-4f11-9b06-4b1315edff12",
"data": {
"birthDate": "2000-05-28",
"countryCode": "LT",
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"externalId": "d8114a80-2173-4f11-9b06-4b1315edff12",
"firstName": "John",
"lastName": "Doe",
"nationalCode": "123456789",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "John Doe",
"type": "INDIVIDUAL"
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"subject": "5328b190-e852-4e85-911b-8d20f3eb978c",
"data": {
"countryCode": "LT",
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"establishmentDate": "2000-05-28",
"externalId": "5328b190-e852-4e85-911b-8d20f3eb978c",
"nationalCode": "123456789",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "UAB Some Company",
"type": "ORGANIZATION"
}
},
{
"type": "app.amlyze.related_entity.screening.sanctions.completed",
"source": "e264c319-bbde-4012-ab41-ebd7c4b539fe",
"data": {
"customerExternalId": "42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7",
"relationCode": "SHAREHOLDER",
"screeningMatch": false,
"title": "UAB Some Company",
"type": "UNKNOWN"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
Use this file to discover all available pages before exploring further.
⌘I